=== debian/changelog ===
golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 16:18:20 +1000

golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:07:15 +0100

golang-github-muka-go-bluetooth (5.60-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:54:59 +0530

golang-github-muka-go-bluetooth (5.60-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:34 +1200

golang-github-muka-go-bluetooth (5.60-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop unnecessary dependency on build-essential.

  [ Jelmer Vernooĳ ]
  * Revert "Merge branch 'lintian-fixes' into 'debian/sid'"

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:11:07 +0100

golang-github-muka-go-bluetooth (5.60-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Jun 2022 10:36:13 +0200

golang-github-muka-go-bluetooth (5.60-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 28 May 2022 10:46:13 +0200
