=== debian/control ===
Source: golang-github-muka-go-bluetooth
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-dbus-dev,
               golang-github-fatih-structs-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-github-suapapa-go-eddystone-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-logrus-dev,
# stuff also needed but not automagically detected
               golang-github-google-uuid-dev,
# tests need real hardware, that is not available on buildd, so deactivate tests
## external binaries that are needed for tests
#               rfkill,
#               bluez
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-muka-go-bluetooth
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-muka-go-bluetooth.git
Homepage: https://github.com/muka/go-bluetooth
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/muka/go-bluetooth

Package: golang-github-muka-go-bluetooth-dev
Architecture: all
Depends: golang-dbus-dev,
         golang-github-fatih-structs-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-github-suapapa-go-eddystone-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-tools-dev,
         golang-logrus-dev,
         ${misc:Depends}
Description: Golang bluetooth client based on bluez DBus interfaces (library)
 This package contains a Go bluetooth API for Linux-based Bluez DBus interface.
 .
 High level features supported:
  - Client code generation from bluez documentation
  - Shell wrappers for rfkill, btmgmt, hciconfig, hcitool
  - An hci socket basic API (inspired by go-ble/ble
  - Expose bluetooth service from go code [unstable]
  - Pairing and authentication support (via agent)
  - Beaconing send & receive (iBeacon and Eddystone)
  - Mesh API support (since v5.53)
 .
 This package contains the development files.

Package: go-bluetooth
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Golang bluetooth client based on bluez DBus interfaces (program)
 This package contains a Go bluetooth API for Linux-based Bluez DBus interface.
 .
 High level features supported:
  - Client code generation from bluez documentation
  - Shell wrappers for rfkill, btmgmt, hciconfig, hcitool
  - An hci socket basic API (inspired by go-ble/ble
  - Expose bluetooth service from go code [unstable]
  - Pairing and authentication support (via agent)
  - Beaconing send & receive (iBeacon and Eddystone)
  - Mesh API support (since v5.53)
 .
 This package contains the client software.
